# This is a shell script which can be used to check the sample-program 
# regression-data created when an IMCROSS software snapshot is made. 
# The progam is targeted at Mac OS X, but (I apologize) expects bash
# to be installed (in spite of the fact that tcsh is the default shell
# on Mac OS X).  I'm in a hurry, and simply don't want to stop and learn
# tcsh at this moment ...

# Anyhow, the assumption is that this script and all of the input data
# files and theoretical output files have been packaged together into
# a single directory that we have complete authority over.

echo ========================================================
echo Regression report from sample programs running on target system.
echo IMCROSS version = @IMCROSS_VERSION@
echo Apple SDK @MACOSX_VERSION@ from Xcode @XCODE_VERSION@
echo Date of test:  `date`

echo ========================================================
echo Data about test machine:
echo From uname: `uname -a`
echo From sw_vers: `sw_vers -productVersion`
echo From system_profiler:
#system_profiler -detailLevel -2
system_profiler | head -100 >temp.txt
grep "Machine" temp.txt
grep "[Pp]rocessor" temp.txt
grep "[Cc]ores" temp.txt
grep "[Bb]oot ROM" temp.txt
grep "RAM" temp.txt
rm temp.txt
echo ========================================================
echo Data from regression tests.

echo " "
echo sample_CommandLine:
./sample_CommandLine_macosx_fat >actual_CommandLine
diff -s -q output_CommandLine actual_CommandLine

echo " "
echo sample_Fortran:
echo ... is not supported on Mac OS X.

echo " "
echo sample_libxml2:
./sample_libxml2_macosx_fat input_libxml2 >actual_libxml2
diff -s -q output_libxml2 actual_libxml2

echo " "
echo sample_Objective-C:
echo ... is not supported on Mac OS X.

echo " "
echo sample_Objective-C-2:
./sample_Objective-C-2_macosx_fat >actual_Objective-C-2 && diff -s -q output_Objective-C-2 actual_Objective-C-2

echo " "
echo sample_pthreads:
./sample_pthreads_macosx_fat | sort -f -d >actual_pthreads
diff -s -q output_pthreads actual_pthreads

echo " "
echo sample_pthreads_dynamic:
echo ... is not applicable to Mac OS X.

echo " "
echo sample_RegularExpressions:
./sample_RegularExpressions_macosx_fat --pattern=macosx --file=input_RegularExpressions >actual_RegularExpressions
./sample_RegularExpressions_macosx_fat "--pattern=07:14" --file=input_RegularExpressions >>actual_RegularExpressions
./sample_RegularExpressions_macosx_fat --pattern=wxWidgets --file=input_RegularExpressions >>actual_RegularExpressions
diff -s -q output_RegularExpressions actual_RegularExpressions

echo " "
echo sample_zlib:
cp input_libxml2 output_zlib
cp input_zlib.gz actual_zlib.gz
./sample_zlib_macosx_fat actual_zlib.gz
diff -s -q output_zlib actual_zlib

